> ## Documentation Index
> Fetch the complete documentation index at: https://docs.developers.mijnklantportaal.nl/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customer Group

> Get a specific Customer Group



## OpenAPI

````yaml /openapi.yaml get /customer-groups/{customerGroupId}
openapi: 3.1.1
info:
  title: MijnKlantportaal API
  version: v1
servers:
  - url: https://api.mijnklantportaal.nl/v1
security:
  - APIKey: []
tags:
  - name: Agreements API
  - name: Appointments API
  - name: Customers API
  - name: Customer Groups API
  - name: Customer Invoices API
  - name: Customer Offers API
  - name: Customer Subscriptions API
  - name: Customer Subscription Packages API
  - name: Files API
  - name: File Request API
  - name: File Share API
  - name: Invoices API
  - name: Payment Links API
  - name: Punch Cards API
  - name: Tickets API
  - name: Webhooks API
paths:
  /customer-groups/{customerGroupId}:
    get:
      tags:
        - Customer Groups API
      summary: Get Customer Group
      description: Get a specific Customer Group
      operationId: get-customer-group
      parameters:
        - name: customerGroupId
          in: path
          description: ID of the customer group to return
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Getting the requested customer group
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerGroup'
        '404':
          description: No customer group can be found for the given ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error_ApiError'
components:
  schemas:
    CustomerGroup:
      type: object
      description: Customer Group
      properties:
        id:
          type: string
          example: cug_abc12345def678
          description: ID of the customer group, always starting with `cug_`.
        name:
          type: string
          example: Webhosting customers
          description: Name of the customer group
        createdAt:
          type: string
          example: '2025-07-27T14:42:00+02:00'
          description: >-
            Date and time when the customer group was created, written in ATOM
            format.
    Error_ApiError:
      type: object
      properties:
        message:
          type: string
          description: Explanation what went wrong
  securitySchemes:
    APIKey:
      type: http
      scheme: bearer

````